/*
Theme Name: UnacoopecSurvey
Theme URI:  https://www.wpserveur.net
Author:     WPServeur
Author URI: https://www.wpserveur.net
Template:   astra
Version:    1.0
License:    GNU General Public License v2 or later
*/

@media (max-width: 480px) {
	.site-footer-section .site-footer-focus-item .footer-social-inner-wrap {
    	text-align: center !important;
	  	margin-top: 10px;
  	}
	.site-footer-section .ast-footer-html-1 .ast-header-html .ast-builder-html-element {
  		text-align: center !important;
  		margin-right: 0 !important;
	}
}

h1.entry-title{
	display:none !important;
}
.site-header-primary-section-right .ast-builder-html-element a{
	color:#00A32C;
	background-image:url(images/case.svg);
	background-repeat:no-repeat;
	background-position:0 50%;
	padding-left: 31px;
  	font-size: 16px;
  	line-height: 35px;
}
.site-branding.ast-site-identity .ast-site-title-wrap .site-title a{
	font-size: 16px;
  	font-weight: 400;
  	color: #4B4F58;
  	font-style: italic;
}
.site-footer-section .site-footer-focus-item.ast-footer-html-1{
	margin-bottom: 0;
}
.site-footer-section .ast-footer-html-1 .ast-header-html .ast-builder-html-element{
	text-align: right;
  	margin-right: 15px;
}
.site-footer-section .site-footer-focus-item .footer-social-inner-wrap{
  text-align: left;
}
.frm_submit .frm_button_submit{
	background-image: url(images/paper-plane.svg) !important;
	background-repeat:no-repeat !important;
	background-position: 18% 50% !important;
  	padding: 18px 38px 18px 65px !important;
}
#form_enquete-satisfaction .frm_section_heading h3.frm_section_spacing{
	border-top: none;
}
#form_enquete-satisfaction .frm_fields_container .frm_radio input[type="radio"],
#form_enquete-satisfaction .frm_fields_container .frm_checkbox input[type="checkbox"]{
	background-color: #D9D9D9;
}
#form_enquete-satisfaction .form-field.repeteur{
	margin-top: 0;
}
#form_enquete-satisfaction .form-field.repeteur.contacts .frm_section_spacing{
	margin-bottom: 0;
}
#form_enquete-satisfaction .form-field.repeteur .frm_section_spacing{
	margin-bottom: 10px;
}
.form-field.repeteur .frm_repeat_buttons .frm_button{
	background-color: transparent;
  	color: #00a32c;
  	padding: 0 10px;
	font-size: 12px;
}
.form-field.repeteur .frm_repeat_buttons .frm_button .frmsvg.frm-svg-icon{
	fill:#00a32c;
}
#form_enquete-satisfaction .form-field.repeteur .frm_repeat_sec{
	padding-bottom: 0;
  	border: none;
  	margin-top: 0;
}
#form_enquete-satisfaction .frm_form_field.email{
	margin-top:20px;
}
#voix-client .elementor-image-box-wrapper .elementor-image-box-content{
	padding: 0px 30px 30px 30px;
  	text-align: left;
}
#voix-client .elementor-image-box-wrapper .elementor-image-box-img img{
	border-top-left-radius: 16px;
  	border-top-right-radius: 16px;
}
.frm_btn_group{
	display: flex;
  	align-items: center;
  	justify-content: space-between;
}
.btn-annuler {
    background-color: #000;
	background-image: url(images/cancel.svg);
  	background-repeat: no-repeat;
  	background-position: 18% 50%;
	background-size: 16%;
    color: #fff;
    padding: 18px 38px 18px 63px;
    font-size: 16px;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    margin-left: 20px;
	border-radius: 50px;
 }
 .btn-annuler:hover {
   	background-color: #e0e0e0;
	background-image: url(images/cancel-hover.svg);
	color: #333;
 }
 
#field_xacoo .frm_nps__buttons{
	justify-content: left;
}
.frm_nps__button {
  	font-size: 0;
  	position: relative;
  	width: 60px;
  	height: 60px;
	max-width: 60px;
  	display: flex;
	align-content: center;
  	align-items: center;
  	justify-content: center;
  	margin: 10px;
  	text-align: center;
  	cursor: pointer;
	border: none;
	border-radius:50% !important;
}
.frm_nps__button:hover{
	border:none !important;
}
.frm_nps__button:hover,
.frm_nps__button::selection,
.frm_nps__buttons input[type="radio"]:checked + .frm_nps__button{
	background-color:transparent !important;
}
.frm_nps__buttons input[type="radio"]:checked + .frm_nps__button::before{
	width: 60px;
  	height: 60px;
	border-radius:50% !important;
	border:6px solid #00a32c;
	background-size: 35px !important;
	transform: scale(0.9);
  	transition: transform 0.2s ease;
}
/* Image smiley */
.frm_nps__button::before {
  	content: "";
  	display: flex;
	align-content: center;
  	align-items: center;
  	justify-content: center;
  	width: 50px;
  	height: 50px;
  	margin: 0;
  	background-size: 45px;
  	background-repeat: no-repeat;
	background-position: center;
}

.frm_nps__button:hover::before {
	background-size: 30px;
  	transform: translate(0%, 0%) scale(1.3);
  	transition: transform 0.2s ease;
}
/* Texte explicatif */
.frm_nps__button::after {
  	font-size: 14px;
  	color: #333;
  	display: block;
  	white-space: nowrap;
	position: absolute;
  	bottom: -25px;
}

/* Exemple avec images (à adapter avec tes URLs) */
label[for="field_xacoo-0"]::before {
  	background-image: url('images/tres-mauvais.png');
}
label[for="field_xacoo-0"]::after {
  	content: "Très mauvais";
}

label[for="field_xacoo-1"]::before {
  	background-image: url('images/mauvais.png');
}
label[for="field_xacoo-1"]::after {
  	content: "Mauvais";
}

label[for="field_xacoo-2"]::before {
  	background-image: url('images/medium.png');
}
label[for="field_xacoo-2"]::after {
  	content: "Moyen";
}

label[for="field_xacoo-3"]::before {
  	background-image: url('images/bon.png');
}
label[for="field_xacoo-3"]::after {
  	content: "Bon";
}

label[for="field_xacoo-4"]::before {
  	background-image: url('images/exellent.png');
}
label[for="field_xacoo-4"]::after {
  	content: "Excellent";
}
label[for="field_xacoo-5"], 
label[for="field_xacoo-6"], 
label[for="field_xacoo-7"], 
label[for="field_xacoo-8"], 
label[for="field_xacoo-9"], 
label[for="field_xacoo-10"],
label[for="field_xacoo-5"]:hover, 
label[for="field_xacoo-6"]:hover, 
label[for="field_xacoo-7"]:hover, 
label[for="field_xacoo-8"]:hover, 
label[for="field_xacoo-9"]:hover, 
label[for="field_xacoo-10"]:hover{
	display:none !important;
}
#field_xacoo .frm_nps__negative,
#field_xacoo .frm_nps__positive{
	display:none;
}
#frm_desc_field_fichier_joint{
	font-size:16px !important;
}

@keyframes borderPulse {
  0% {
    border-color: #00A32C;
    box-shadow: 0 0 10px rgba(0, 128, 0, 0.6); /* ombre verte */
  }
  50% {
    border-color: #fff;
    box-shadow: 0 0 20px rgba(255, 255, 255, 0.8); /* ombre noire plus intense */
  }
  100% {
    border-color: #00A32C;
    box-shadow: 0 0 10px rgba(0, 128, 0, 0.6);
  }
}
#voix-client .elementor-widget-image-box{
	border: 3px solid #00A32C;
	animation: borderPulse 2s infinite linear;
}
.satisfaction.frm_image_options .frm_image_option_container{
	border-width: 0;
	justify-content: center;
}
.satisfaction.frm_image_options .frm_image_option_container img{
	width: 40px;
	height: 40px;
}
.satisfaction.frm_image_options .frm_image_option{
	display: flex;
  	justify-content: center;
	margin: 10px 0 0 0 !important;
}
.satisfaction.frm_image_options .frm_image_option input{
	position: absolute !important;
  	top: -10px;
	right:0 !important;
	background-color: #fff !important;
	width: 60px !important;
  	height: 60px !important;
	z-index: 0;
	margin: 0 !important;
	border-width: 3px;
	border-color: #fff;
}
.satisfaction.frm_image_options .frm_image_option input::before{
	display:none !important;
}
.satisfaction.frm_image_options .frm_image_option:nth-child(2) input{
	left: 41px;
}
.satisfaction.frm_image_options .frm_image_option:nth-child(3) input{
	left: 25px;
}
.satisfaction.frm_image_options .frm_image_option:nth-child(4) input{
	left: 21px;
}
.satisfaction.frm_image_options .frm_image_option:nth-child(5) input{
	left: 13px;
}
.satisfaction.frm_image_options .frm_image_option:nth-child(6) input{
	left: 29px;
}
.satisfaction.frm_image_options .frm_image_option label{
	position: relative;
}
.satisfaction.frm_image_options .frm_image_option .frm_text_label_for_image{
	font-size: 14px;
  	color: #333;
}
@media (max-width: 600px) {
  .frm_nps__button {
    width: 60px;
    height: 60px;
    max-width: 60px;
    min-width: 60px;
    margin: 4px;
  }

  .frm_nps__button::before {
    font-size: 20px;
  }
}
@media (max-width: 420px) {
	.frm_nps__buttons{
		gap: 45px !important;
	}
} 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 